---
title: SVGFEImageElement
slug: Web/API/SVGFEImageElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGFEImageElement</code></strong> interface corresponds to the {{SVGElement("feImage")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGElement")}}, and implements properties of {{domxref("SVGFilterPrimitiveStandardAttributes")}} and {{domxref("SVGURIReference")}}.</em></p>

<dl>
 <dt>{{domxref("SVGFEImageElement.preserveAspectRatio")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedPreserveAspectRatio")}} corresponding to the {{SVGAttr("preserveAspectRatio")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFEImageElement.crossOrigin")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedString")}} reflects the {{SVGAttr("crossorigin")}} attribute of the given element, limited to only known values.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods, but implements those of its parent, {{domxref("SVGElement")}}, and implements methods of {{domxref("SVGFilterPrimitiveStandardAttributes")}}and {{domxref("SVGURIReference")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#InterfaceSVGFEImageElement", "SVGFEImageElement")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#InterfaceSVGFEImageElement", "SVGFEImageElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGFEImageElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("feImage")}}</li>
</ul>
